package com.jqtx.windows.component.enums;

public enum IsSettleEnum {

    ONE("1", "是"),
    ZERO("0", "否"),
    ;

    IsSettleEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public static IsSettleEnum getByCode(String code) {
        for (IsSettleEnum e : IsSettleEnum.values()) {
            if (e.getCode().equals(code)) {
                return e;
            }
        }
        return null;
    }

    private String code;

    private String msg;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
